Bug 613096 - Documentation Having no nscd can break early starting services
Summary: Documentation Having no nscd can break early starting services
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: David O'Brien
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords: Documentation
Depends On: 613085
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 17:02 UTC by Dmitri Pal
Modified: 2015-01-04 23:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 613085
Environment:
Last Closed: 2010-11-11 16:29:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
daobrien: needinfo-


Attachments (Terms of Use)

Description Dmitri Pal 2010-07-09 17:02:46 UTC
+++ This bug was initially created as a clone of Bug #613085 +++

Description of problem:

This isn't really a bug with sssd. Just an implication of using sssd (or a limitation if you like) 

sssd is not supposed to be used with nscd (generates warning in sssd logs).

If using Network Manager (especially in a corporate setting with Spanning Tree and not portfast), it takes a while for the interface to come up. In the meantime services will start. These services will be reading an incorrect or empty resolv.conf (which they never seem to reread). 

Formally (on older Fedora and RHEL) starting nscd would cause the applications resolving to now be correct (as it sits between the app and the base libc resolver functions). Any network changes can be handled by nscd dynamically for all running programs.

The services that this really breaks for us here are the nfs ones:

Jul  9 15:21:33 localhost rpc.statd[1067]: No canonical hostname found for 10.110.45.10
Jul  9 15:21:33 localhost rpc.statd[1067]: STAT_FAIL to navar for SM_MON of 10.110.45.10
Jul  9 15:21:33 localhost kernel: lockd: cannot monitor tay
Jul  9 15:21:33 localhost rpc.statd[1067]: No canonical hostname found for 10.110.45.10
Jul  9 15:21:33 localhost rpc.statd[1067]: STAT_FAIL to navar for SM_MON of 10.110.45.10
etc

So NFS locking is broken on this machine (unless the service is manually started).

Workaround I'm trying is to only enable caching for hosts in /etc/nscd.conf.

I guess this may fix when Ticket #357 "SSSD should replace NSCD" in the upstream:

https://fedorahosted.org/sssd/ticket/357

Comment 4 David O'Brien 2010-07-27 03:27:21 UTC
Above info add and pushed.

9275f51..8e161a2  master -> master

Comment 5 Gowrishankar Rajaiyan 2010-08-16 20:13:25 UTC
Verified. 15.2.7.3.3. Problems with NFS and NSCD.

Comment 6 releng-rhel@redhat.com 2010-11-11 16:29:58 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.